Bug 1024405 - Prepare to update feclipse-maven-plugin to Tycho 0.19.0 API
Prepare to update feclipse-maven-plugin to Tycho 0.19.0 API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: feclipse-maven-plugin (Show other bugs)
20
All Linux
high Severity high
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 11:26 EDT by Roland Grunberg
Modified: 2014-01-12 19:28 EST (History)
2 users (show)

See Also:
Fixed In Version: feclipse-maven-plugin-0.0.4-0.1.git684bc0.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:52:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to Tycho 0.19.0 API (1) (3.46 KB, patch)
2013-10-29 11:27 EDT, Roland Grunberg
no flags Details | Diff

  None (edit)
Description Roland Grunberg 2013-10-29 11:26:05 EDT
Some of the Tycho API that feclipse-maven-plugin uses has changed (from 0.18.1 to 0.19.0).

The TargetPlatformBuilder (which did configuration and computation) has been split into a TargetPlatformFactory and TargetPlatformConfiguration [1]. I've attached a patch with the changes I needed to get this working again.

[1] http://git.eclipse.org/c/tycho/org.eclipse.tycho.git/commit/?id=8840ee1848c542978d468a1740ccabc22ffc9cc8
Comment 1 Roland Grunberg 2013-10-29 11:27:18 EDT
Created attachment 817114 [details]
Update to Tycho 0.19.0 API (1)
Comment 2 Krzysztof Daniel 2013-10-30 05:50:34 EDT
Released for rahwide. Should it be released into f20, too?
Comment 3 Roland Grunberg 2013-10-30 09:37:31 EDT
I intend to update to Tycho 0.19.0 in f20 as well, so it should be but not yet. I'll push a build shortly. I could also make buildroot override afterwards to test the change.
Comment 4 Fedora Update System 2013-10-31 04:23:04 EDT
feclipse-maven-plugin-0.0.4-0.1.git684bc0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/feclipse-maven-plugin-0.0.4-0.1.git684bc0.fc20
Comment 5 Fedora Update System 2013-10-31 13:41:40 EDT
Package feclipse-maven-plugin-0.0.4-0.1.git684bc0.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing feclipse-maven-plugin-0.0.4-0.1.git684bc0.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20399/feclipse-maven-plugin-0.0.4-0.1.git684bc0.fc20
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-11-10 02:52:21 EST
feclipse-maven-plugin-0.0.4-0.1.git684bc0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.